Commit 36a1825b authored by Michał Polański's avatar Michał Polański Committed by Jakub Jirutka

main/nodejs: security upgrade to 12.18.4

Announcement: https://nodejs.org/en/blog/vulnerability/september-2020-security-releases/
parent 05547ef0
......@@ -6,6 +6,9 @@
# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
#
# secfixes:
# 12.18.4-r0:
# - CVE-2020-8201
# - CVE-2020-8252
# 12.18.3-r0:
# - CVE-2020-8172
# - CVE-2020-11080
......@@ -52,7 +55,7 @@
pkgname=nodejs
# Note: Update only to even-numbered versions (e.g. 6.y.z, 8.y.z)!
# Odd-numbered versions are supported only for 9 months by upstream.
pkgver=12.18.3
pkgver=12.18.4
pkgrel=0
pkgdesc="JavaScript runtime built on V8 engine - LTS version"
url="https://nodejs.org/"
......@@ -153,7 +156,7 @@ npm() {
mv "$pkgdir"/usr/lib/node_modules/npm "$subpkgdir"/usr/lib/node_modules/
}
sha512sums="f9b8208197169f4a55c0e9bcdd30ebb52675c73c26296bc1d3b3047a457b9d5e940db7d846d99ccfe54476cb862818462e54d106f80c7ebe5ea57f7f588d5e74 node-v12.18.3.tar.gz
sha512sums="2a3e7c11c26b461b597e4597a897307de253fda6d0266de1538332f247d16f74bb67ad58c768e9bdcd8a3de60c20cde4685aa094618429639a323533f03be3f1 node-v12.18.4.tar.gz
3c536776e2ecb5dc677bf711a09418085b3c5e931a6eaf647f47c28e194d5c6dec354d4e7a039a5805b30fc7e83140594851e18d9120f523eec2f93539eac4db dont-run-gyp-files-for-bundled-deps.patch
a4e1e7bd4f32ee30ebd319ac0c2fc751166f8fdd27f491709003dfebda51cbece9412630f0b98f0b85253ccc4f066c82997ad68abb9b87dc0b47c24d09a0643a unbundle-uv.patch
a63b42c08b55139c1c363f6ba8aba9d85a0621b383ed514f7562cfa02f0cc290785d7cfe09892ac39962980d1b318957511f57b3f9b9d1fbc8704c0603597c9a link-with-libatomic-on-mips32.patch"
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment